[package]

name = "libvcx"
edition = "2018"
version = "0.14.1"
authors = ["Hyperledger Indy Contributors <hyperledger-indy@lists.hyperledger.org>"]
publish = false
description = "This is the official SDK for Evernym's VCX"
license = "Apache-2.0"

[lib]
name = "vcx"
path = "src/lib.rs"
crate-type = ["staticlib","rlib", "cdylib"]

[features]
default = []
#default = [] #FIXME: return "pool_tests", "agency", "wallet_backup" features
too_long_request = [] # These tests are waiting for the agency fixes regarding the length of request
#default = ["pool_tests","agency", "aries"]
#default = ["pool_tests","agency_v2"]
mysql = []
pool_tests = []
agency = []
agency_v2 = []
wallet_backup = []
aries = []
# Causes the build to fail on all warnings
fatal_warnings = []

# turn on release versioning
ci = []

[dependencies]
env_logger = "0.7"
log = "0.4"
chrono = "0.4"
time = "0.1.42"
lazy_static = "1.3"
libc = "0.2.95"
rand = "0.3"
serde = "1.0.97"
serde_json = "1.0.40"
serde_derive = "1.0.97"
reqwest = "0.9.24"
regex = "1.1.0"
rust-base58 = "0.0.4"
rmp-serde = "0.13.7"
base64 = "0.8.0"
openssl = "0.10.34"
openssl-sys = "0.9.63"
hex = "0.3.2"
vdrtools = { git = "https://gitlab.com/evernym/verity/vdr-tools", tag = "v0.8.6" }
vdrtools-sys = { git = "https://gitlab.com/evernym/verity/vdr-tools", tag = "v0.8.6" }
tokio-threadpool = "0.1.18"
futures = "0.1.23"
libloading = "0.5.0"
uuid = {version = "0.7.1", default-features = false, features = ["v4"]}
failure = "0.1.6"
strum = "0.16.0"
strum_macros = "0.16.0"
sha2 = "0.9.1"
dashmap = "3.11.10"
dirs = "3.0.2"
crossbeam-deque = "0.7.4"

[target.'cfg(target_os = "android")'.dependencies]
android_logger = "0.5"

[build-dependencies]
toml = "0.4"

[package.metadata.deb]
maintainer = "Evernym, Inc."
copyright = "2018, Evernym Inc."
extended-description = """\
This is the official SDK for Hyperledger Indy, which provides a\
  distributed-ledger-based foundation for self-sovereign identity.\
  The major artifact of the SDK is a c-callable library; there are\
  also convenience wrappers for various programming languages.\
  All bugs, stories, and backlog for this project are managed through\
  Hyperledger's Jira in project IS (note that regular Indy tickets are\
  in the INDY project instead...). Also, join us on Jira's Rocket.Chat\
  at #indy-sdk to discuss."""
section = "admin"
revision = "a26ad4f"
priority = "optional"
assets = [
    ["target/debug/libvcx.so.*", "usr/lib/", "644"],
    ["include/vcx.h", "usr/share/libvcx/", "644"],
    ["scripts/provision_agent_keys.py", "usr/share/libvcx/", "655"]

]
maintainer-scripts = "./scripts"

[package.metadata.deb.variants.libvcx-focal]
depends = "$auto, libvdrtools (>0.8.5-focal)"
name = "libvcx"
provides = "libvcx (= 0.14.1)"

[package.metadata.deb.variants.libvcx-bionic]
depends = "$auto, libvdrtools (>0.8.5-bionic)"
name = "libvcx"
provides = "libvcx (= 0.14.1)"

[profile.release]
debug = true
panic = 'unwind'
incremental = false
